name: RapidUiDeploy

on:
  workflow_dispatch:

jobs:
  build-deploy-test:
    runs-on: ubuntu-latest

    steps:
      - uses: actions/checkout@v2
      - uses: actions/setup-node@v2
        with:
          node-version: '14'
          cache: 'yarn'
          cache-dependency-path: |
            server/yarn.lock
            client/yarn.lock
      - name: deploy UI
        env:
          AWS_ACCESS_KEY_ID_NONPROD_ADMIN: ${{ secrets.AWS_ACCESS_KEY_ID_NONPROD_ADMIN }}
          AWS_SECRET_ACCESS_KEY_NONPROD_ADMIN: ${{ secrets.AWS_SECRET_ACCESS_KEY_NONPROD_ADMIN }}
          AWS_REGION: us-east-2
          DEST: ohell-ui-dev
        run: |
          cd client
          yarn
          yarn build
          export AWS_ACCESS_KEY_ID=$AWS_ACCESS_KEY_ID_NONPROD_ADMIN
          export AWS_SECRET_ACCESS_KEY=$AWS_SECRET_ACCESS_KEY_NONPROD_ADMIN
          aws s3 rm s3://$DEST --recursive
          aws s3 sync $PWD/build s3://$DEST
          aws cloudfront create-invalidation --distribution-id EK7ZSZOOMXNVG  --paths "/*"
